# Making with micro:bit

This Lesson introduces the micro:bit as a piece of hardware that has a specific size and weight, and
generally must be supported and incorporated as an essential component of a tangible artifact. Focus
on incorporating the physical micro:bit into a basic making activity.

![micro:bit board](/static/courses/csintro/making/microbit-board.png)

## Lesson Objectives 
Students will...

* Exercise creativity and resourcefulness by coming up with ideas for using simple household materials to accommodate the micro:bit’s size and weight in many different ways.
* Test and iterate using different materials and sizes in order to create an optimal design to house the micro:bit and battery pack
* Learn how to download programs and move them to the micro:bit file to run on the micro:bit.
* Use the design thinking process to develop an understanding for a problem or user need.
* Apply their understanding in a creative way by making a “micro:pet” creature. 
	
## Lesson Plan Structure

* [Introduction: The micro:bit is for making](/courses/csintro/making/introduction)
* [Unplugged Activity: Design Thinking](/courses/csintro/making/unplugged)
* [Walkthrough Activity: MakeCode download](/courses/csintro/making/walkthrough)
* [Project: Micro:pet (including mods and rubric)](/courses/csintro/making/project)
* [Standards: listed](/courses/csintro/making/standards)
